View Issue Details

IDProjectCategoryView StatusLast Update
0005854FPCTextmode IDEpublic2019-01-10 23:17
ReporterFPC core teamAssigned ToMichael Van Canneyt 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWin32OS Version
Product Version1.9.8Product Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0005854: shift-backspace unrecognized in IDE
DescriptionIf the shift key is being held when backspace is pressed in the IDE, nothing happens. This is inconsistent with TP/BP.
Additional InformationReporter: J King
EMail:
TagsNo tags attached.
Fixed in Revision40839
FPCOldBugId3894
FPCTarget
Attached Files
  • shiftBackSpace.patch (599 bytes)
    Index: packages/rtl-console/src/win/keyboard.pp
    ===================================================================
    --- packages/rtl-console/src/win/keyboard.pp	(revision 40809)
    +++ packages/rtl-console/src/win/keyboard.pp	(working copy)
    @@ -637,7 +637,7 @@
        (n : $00; s : $00; c : $00; a: $81),      {0B 0 }
        (n : $00; s : $00; c : $00; a: $82),      {0C � }
        (n : $00; s : $00; c : $00; a: $00),      {0D}
    -   (n : $00; s : $09; c : $00; a: $00),      {0E Backspace}
    +   (n : $00; s : $00; c : $00; a: $00),      {0E Backspace}
        (n : $00; s : $0F; c : $94; a: $00));     {0F Tab }
     
     
    
    shiftBackSpace.patch (599 bytes)

Activities

Marco van de Voort

2010-02-11 15:35

manager   ~0034390

Last edited: 2010-08-13 12:56

(should be same with normal backspace), unit keyboard doesn't seem to support this symbol atm. scancode 2304 ($900)

Marģers

2019-01-08 17:30

reporter  

shiftBackSpace.patch (599 bytes)
Index: packages/rtl-console/src/win/keyboard.pp
===================================================================
--- packages/rtl-console/src/win/keyboard.pp	(revision 40809)
+++ packages/rtl-console/src/win/keyboard.pp	(working copy)
@@ -637,7 +637,7 @@
    (n : $00; s : $00; c : $00; a: $81),      {0B 0 }
    (n : $00; s : $00; c : $00; a: $82),      {0C � }
    (n : $00; s : $00; c : $00; a: $00),      {0D}
-   (n : $00; s : $09; c : $00; a: $00),      {0E Backspace}
+   (n : $00; s : $00; c : $00; a: $00),      {0E Backspace}
    (n : $00; s : $0F; c : $94; a: $00));     {0F Tab }
 
 
shiftBackSpace.patch (599 bytes)

Marģers

2019-01-08 17:34

reporter   ~0113270

added patch. Still win keyboard unit is not 100% compatible with dos scancodes, but this one is fixed.

Michael Van Canneyt

2019-01-10 23:17

administrator   ~0113316

Applied the patch, thank you very much !

Issue History

Date Modified Username Field Change
2010-02-11 15:35 Marco van de Voort Note Added: 0034390
2010-02-20 23:40 Marco van de Voort Note Edited: 0034390
2010-08-13 12:56 Marco van de Voort Note Edited: 0034390
2019-01-08 17:30 Marģers File Added: shiftBackSpace.patch
2019-01-08 17:34 Marģers Note Added: 0113270
2019-01-10 23:17 Michael Van Canneyt Fixed in Revision => 40839
2019-01-10 23:17 Michael Van Canneyt Note Added: 0113316
2019-01-10 23:17 Michael Van Canneyt Status new => resolved
2019-01-10 23:17 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-10 23:17 Michael Van Canneyt Resolution open => fixed
2019-01-10 23:17 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-01-10 23:17 Michael Van Canneyt Target Version => 3.2.0